﻿@model IEnumerable<Teste1.ADDRESS_MAP>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Account)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SourceAddress)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DestinationAddress)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Scope)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Status)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Account)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.SourceAddress)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DestinationAddress)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Scope)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Status)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
